import check

## merge(one, two) produces a list with items of one and two in
##     nondecreasing order
## Requires: items in each of one and two appear in nondecreasing order
## merge: (listof Int) (listof Int) -> (listof Int)

def merge(one, two):
    if len(one) == 0:
        return two
    elif len(two) == 0:
        return one
    elif one[0] < two[0]:
        return [one[0]] + merge(one[1:], two)
    else:
        return [two[0]] + merge(one, two[1:])

list_one = [1, 3, 4, 6, 8, 10, 12]
list_two = [2, 5, 7, 11, 14, 26]
merged_list = [1, 2, 3, 4, 5, 6, 7, 8, 10, 11, 12, 14, 26]

check.expect("Both empty", merge([], []), [])
check.expect("First empty", merge([], [1, 2]), [1, 2])
check.expect("Second empty", merge([1, 2], []), [1, 2])
check.expect("Both nonempty", merge(list_one, list_two), merged_list)

